Skip to content

FindByService⁠

Operations⁠

findByActiveCard⁠

POST

Finds an account by active card.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CardNumberstringrequiredThe card number used to search for accounts.
Path Parameters
symstringrequired
Sym number
AccountNumberstring · nullableoptionalThe unique 10-digit account number assigned to an account.
MessageIdstringoptionalThe SymXchange operation message identifier.
POST/nexum/{sym}/2022.01/findby/findByActiveCard
POST /nexum/627/2022.01/findby/findByActiveCard HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CardNumber": "0",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

findByAnyCard⁠

POST

Finds an account by any card.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CardNumberstringrequiredThe card number used to search for accounts.
Path Parameters
symstringrequired
Sym number
AccountNumberstring[]optionalA list of unique 10-digit account numbers.
POST/nexum/{sym}/2022.01/findby/findByAnyCard
POST /nexum/627/2022.01/findby/findByAnyCard HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CardNumber": "0",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

findByHomeUser⁠

POST

Finds an account by home user.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

HomeBankingUserNamestringrequiredThe home banking user used to search for accounts.
Path Parameters
symstringrequired
Sym number
AccountNumberstringoptionalThe unique 10-digit account number assigned to an account.
POST/nexum/{sym}/2022.01/findby/findByHomeUser
POST /nexum/627/2022.01/findby/findByHomeUser HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "HomeBankingUserName": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

findByMICR⁠

POST

Finds an account by MICR.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

MICRstringrequiredThe Magnetic Ink Character Recognition (MICR) number used to search for accounts.
DraftstringrequiredThe draft number used to search for accounts.
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/findby/findByMICR
POST /nexum/627/2022.01/findby/findByMICR HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "MICR": "0",
  "Draft": "0",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

findByLookup⁠

POST

Finds an account by lookup.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LookupTypeintegerrequiredThe type of lookup used to search for accounts.
LookupNumberstringrequiredThe lookup number used to search for accounts.
Path Parameters
symstringrequired
Sym number
AccountNumberstringoptionalThe unique 10-digit account number assigned to an account.
POST/nexum/{sym}/2022.01/findby/findByLookup
POST /nexum/627/2022.01/findby/findByLookup HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "LookupType": 0,
  "LookupNumber": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

findBySSN⁠

POST

Finds an account by SSN.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

SSNstringrequiredThe Social Security Number (SSN) used to search for accounts.
Path Parameters
symstringrequired
Sym number
AccountNumberstring[]optionalA list of unique 10-digit account numbers.
MessageIdstringoptionalThe SymXchange operation message identifier.
POST/nexum/{sym}/2022.01/findby/findBySSN
POST /nexum/627/2022.01/findby/findBySSN HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SSN": "0",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}